View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
06277Bug reportsSurvey editingpublic2012-07-20 08:27
Reporterhalliballi123 Assigned Tojcleeland  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00RC3 
Fixed in Version2.00RC7 
Summary06277: filter of survey list does not work correctly
DescriptionI have RC2 not RC3,
I will soon update

The survey list has some filter fields on top of the list.
some fields don't seem to work like date, status, sid and owner work

I have not checked all the fields. But I have two additional suggestions:
- I would prefer case insensitive comparison
- Fields that have only certain values should not be text fields they should be eiher checkboxes or dropdown lists
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)120528
I will donate to the project if issue is resolvedNo
BrowserIE 9, Firefox 10
Database & DB-Versionmysql 5.1.62
Server OS (if known)Linux Gentoo
Webserver software & version (if known)Apache 20051115
PHP Version5.3.13-pl0-gentoo

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2012-06-26 15:02

partner   ~19564

I can reproduce the problem, filtering a column, e.g. the survey title, by text doesn't work. Whatever string I tested, no matching results were found.
jcleeland

jcleeland

2012-07-20 08:05

reporter   ~19853

I've fixed this up, some more work will need to be done to make the searches sensible for things like activated/deactivated.
jcleeland

jcleeland

2012-07-20 08:27

reporter   ~19854

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9056

Related Changesets

LimeSurvey: Yii c2628300

2012-07-19 23:27:34

jcleeland

Details Diff
Fixed issue 06277 - case insensitive search now enabled (default search changed ton "cn" (contains) in earlier update) Affected Issues
06277
mod - scripts/admin/listsurvey.js Diff File

Issue History

Date Modified Username Field Change
2012-06-26 14:16 halliballi123 New Issue
2012-06-26 15:02 Mazi Note Added: 19564
2012-06-26 15:02 Mazi Assigned To => magiclko
2012-06-26 15:02 Mazi Status new => assigned
2012-07-20 07:54 jcleeland Assigned To magiclko => jcleeland
2012-07-20 08:05 jcleeland Note Added: 19853
2012-07-20 08:05 jcleeland Status assigned => closed
2012-07-20 08:05 jcleeland Resolution open => fixed
2012-07-20 08:05 jcleeland Fixed in Version => 2.00RC7
2012-07-20 08:27 jcleeland Changeset attached => LimeSurvey Yii c2628300
2012-07-20 08:27 jcleeland Note Added: 19854
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing